SQLITE3_USER_DATA(3) | Library Functions Manual | SQLITE3_USER_DATA(3)

# NAME

`sqlite3_user_data` — user data for functions

# SYNOPSIS

`#include <sqlite3.h>`

void *
`sqlite3_user_data`(sqlite3_context*);

# DESCRIPTION

The sqlite3_user_data() interface returns a copy of the pointer that was the pUserData parameter (the 5th parameter) of the `sqlite3_create_function`() and `sqlite3_create_function16`() routines that originally registered the application defined function.

This routine must be called from the same thread in which the application-defined function is running.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 5876.

    SQLITE_API void *sqlite3_user_data(sqlite3_context*);

# SEE ALSO

sqlite3_create_function(3)

January 24, 2024 | NetBSD 11.0